"use strict";

module.exports = function (operations) {
	return function wrapPossiblyForeignColumnName(value) {
		if (value.includes(".")) {
			return operations.foreignColumn(value);
		} else {
			return operations.column(value);
		}
	};
};
